Bug 1259577 (CVE-2015-5157) - CVE-2015-5157 kernel: x86-64: IRET faults during NMIs processing
Summary: CVE-2015-5157 kernel: x86-64: IRET faults during NMIs processing
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-5157
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20150722,repor...
Depends On: 1259580 1259581 1259582 1259583 1259584 1259585 1259586
Blocks: 1256394
TreeView+ depends on / blocked
 
Reported: 2015-09-03 06:09 UTC by Petr Matousek
Modified: 2019-06-08 20:44 UTC (History)
35 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A flaw was found in the way the Linux kernel handled IRET faults during the processing of NMIs. An unprivileged, local user could use this flaw to crash the system or, potentially (although highly unlikely), escalate their privileges on the system.
Clone Of:
Environment:
Last Closed: 2016-05-05 09:59:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:0185 normal SHIPPED_LIVE Important: kernel security and bug fix update 2016-02-16 16:15:39 UTC
Red Hat Product Errata RHSA-2016:0212 normal SHIPPED_LIVE Important: kernel-rt security, bug fix, and enhancement update 2016-02-16 15:46:40 UTC
Red Hat Product Errata RHSA-2016:0224 normal SHIPPED_LIVE Important: kernel-rt security, bug fix, and enhancement update 2016-02-16 19:59:08 UTC
Red Hat Product Errata RHSA-2016:0715 normal SHIPPED_LIVE Moderate: kernel security, bug fix, and enhancement update 2016-05-04 04:29:59 UTC

Description Petr Matousek 2015-09-03 06:09:43 UTC
A flaw was found in the Linux kernel handles IRET faults during NMIs
processing.

An unprivileged local user could use this flaw to crash the system or,
potentially (though we believe it's unlikely), escalate their privileges
on the system.

Upstream patch:
https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=9b6e6a8334d56354853f9c255d1395c2ba570e0a

References:
http://www.openwall.com/lists/oss-security/2015/07/22/7

Acknowledgements:
Red Hat would like to thank Andy Lutomirski for reporting this issue.

Comment 1 Petr Matousek 2015-09-03 06:11:35 UTC
Statement:

This issue does affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, 6, 7 and Red Hat Enterprise MRG 2. Future updates in the respective releases may address this flaw.

Red Hat Enterprise Linux 5 is now in Production 3 Phase of the support and maintenance life cycle. This has been rated as having Moderate security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Comment 6 errata-xmlrpc 2016-02-16 10:48:25 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:0212 https://rhn.redhat.com/errata/RHSA-2016-0212.html

Comment 7 errata-xmlrpc 2016-02-16 11:18:48 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:0185 https://rhn.redhat.com/errata/RHSA-2016-0185.html

Comment 8 errata-xmlrpc 2016-02-16 15:04:54 UTC
This issue has been addressed in the following products:

  MRG for RHEL-6 v.2

Via RHSA-2016:0224 https://rhn.redhat.com/errata/RHSA-2016-0224.html

Comment 9 errata-xmlrpc 2016-05-04 00:32:47 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:0715 https://rhn.redhat.com/errata/RHSA-2016-0715.html


Note You need to log in before you can comment on or make changes to this bug.